# screen wipe blocks lesson

clear the screen by pressing button "A" #button #clear #docs

### @video td/videos/screen-wipe-0

## Topic

Clear Screen

## Quick Links

* [activity](/microbit/lessons/screen-wipe/activity)
* [quiz](/microbit/lessons/screen-wipe/quiz)
* [quiz answers](/microbit/lessons/screen-wipe/quiz-answers)
* [challenges](/microbit/lessons/screen-wipe/challenges)

## Class

Year 7

## Prior learning/place of lesson in scheme of work

Learn how to **clear screen**, `clear screen` to turn off all the LED lights on the LED screen. We will be learning how to clear all LED lights on the LED screen using clear screen, input on button pressed as well as simple commands, such as show animation.

## What the teacher needs to know/QuickStart Computing Glossary

* Algorithm: An unambiguous set of rules or a precise step-by-step guide to solve a problem or achieve a particular objective.
* Hardware: The physical systems and components of digital devices; see also software.
* Input: Data provided to a computer system, such as via a keyboard, mouse, microphone, camera or physical sensors.
* Output: The information produced by a computer system for its user, typically on a screen, through speakers or on a printer, but possibly through the control of motors in physical systems.
* Programmable toys: Robots designed for children to use, accepting input, storing short sequences of simple instructions and moving according to this stored program.
* Simulation: Using a computer to model the state and behaviour of real-world (or imaginary) systems, including physical or social systems; an integral part of most computer games.

## Documentation

* **show LEDs** : [read more...](/microbit/reference/basic/show-leds)
* **on button pressed** : [read more...](/microbit/reference/input/on-button-pressed)
* **clear screen** : [read more...](/microbit/reference/basic/clear-screen)

## Resources

* Activity: [activity](/microbit/lessons/screen-wipe/activity)
* Activity: [quiz](/microbit/lessons/screen-wipe/quiz)
* Extended Activity: [challenges](/microbit/lessons/screen-wipe/challenges)

## Objectives

* learn how to show a series of images on the LED screen
* learn how to run code when an input button is pressed
* learn how to turn off all the LED lights on the LED screen

## Progression Pathways / Computational Thinking Framework

#### Algorithms

* Uses diagrams to express solutions.(AB)
*  Uses logical reasoning to predict  outputs, showing an awareness of inputs (AL)
* Shows an awareness of tasks best completed by humans or computers (EV)
*  Designs solutions  by decomposing a problem and creates a sub-solution for each of these parts. (DE) (AL) (AB)
* Recognises that different solutions exist for the same problem (AL) (AB)  Understands that iteration is the repetition of a process such as a loop (AL)
* Recognises that different algorithms exist for the same problem (AL) (GE)
* Represents solutions using a structured notation (AL) (AB)

#### Programming & Development

* Creates programs that implement algorithms to achieve given goals (AL)
* Selects the appropriate data types(AL) (AB

#### Hardware & Processing

* Knows that computers collect data from various input devices, including sensors and application software (AB)

#### Communication Networks

* Demonstrates responsible use of technologies and online services, and knows a range of ways to report concerns Understands how search engines rank search results (AL)

#### Information Technology

* Collects, organizes, and presents data and information in digital content (AB)
* Recognises ethical issues surrounding the application of information technology beyond school.
* Designs criteria to critically evaluate the quality of solutions, uses the criteria to identify improvements and can make appropriate refinements to the solution (EV)

Computational Thinking Concept: AB = Abstraction; DE = Decomposition; AL = Algorithmic Thinking; EV = Evaluation; GE = Generalisation

## Activity

* time: 20 min.
* [activity](/microbit/lessons/screen-wipe/activity)
* [quiz](/microbit/lessons/screen-wipe/quiz)

## Extended Activity

* time: 20 min.
* [challenges](/microbit/lessons/screen-wipe/challenges)

## Homework

* Extended Activity: [challenges](/microbit/lessons/screen-wipe/challenges)

